if [ "$(readlink /usr/bin/linux)" = "linux-%ver_str" ]; then
    # This may be the last kernel RPM on the system, or it may
    # be an update. In both of those cases the symlinks will
    # eventually be correct. On the other hand, if this kernel
    # is removed and other kernel rpms remain installed,
    # find the most recent of the remaining kernels, and make
    # the symlinks point to it. This makes sure that the boot
    # manager will always have a kernel to boot in its default
    # configuration.
    for linux in $(cd /usr/bin ; ls -dt linux-*); do
	if [ -f "/usr/bin/$linux" ]; then
	    relink "$linux" /usr/bin/linux
	    break
	fi
    done
fi

